org.faceless.pdf2.viewer2

## Class ActionHandler

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.ActionHandler

- Direct Known Subclasses:
    FormImportDataActionHandler, FormResetActionHandler, FormSubmitActionHandler, GenericNamedActionHandler, GoToActionHandler, ShowHideActionHandler, SoundActionHandler, URLActionHandler

      public abstract class ActionHandler
      extends ViewerFeature

  A type of `ViewerFeature` that will run a `PDFAction` on a document, usually as a result of a link or button being clicked.

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.8

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionHandler(String name)` Create a new ActionHandler

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `matches(DocumentPanel panel, PDFAction action)` Return true if this ActionFactory can handle the specified `PDFAction`
    `abstract void` | `run(DocumentPanel panel, PDFAction action)` Run the specified action
    `String` | `toString()`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, initialize, isEnabledByDefault, setFeatureName, teardown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionHandler

          public ActionHandler(String name)

      Create a new ActionHandler
      Parameters:
        `name` - the name of this ViewerFeature

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ViewerFeature`

    - #### matches

          public abstract boolean matches(DocumentPanel panel,
                                          PDFAction action)

      Return true if this ActionFactory can handle the specified `PDFAction`

    - #### run

          public abstract void run(DocumentPanel panel,
                                   PDFAction action)

      Run the specified action
      Parameters:
        `panel` - the DocumentPanel running the action
        `action` - the action

Copyright © 2001-2015 Big Faceless Organization